Trendtracker Connect
Endpoints

Search Fragrance Notes

Returns a page of fragrance notes. Pass groupId to keep one group, or ids to keep specific fragrance notes.

GET
/facts/fragrance-notes

Authorization

APIKeyHeader license
x-api-key<token>

In: header

Scope: license

Query Parameters

ids?array<>|

Fragrance note ids to include.

query?|

Case-insensitive substring matched against the name and labels.

groupId?|

When set, only fragrance notes in this group are returned.

skip?Skip

The number of records to skip before fetching a page.

Default0
Range0 <= value
take?Take

Number of records to return.

Default100
Range0 <= value <= 100
sortColumn?FragranceNoteSortColumns

Field to sort by.

Default"name"
Value in"name" | "modified_at"
sortDirection?SortDirections

Sort direction.

Default"desc"
Value in"asc" | "desc"
returnTotal?Returntotal

When true, the response includes the total number of matching fragrance notes.

Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://connect-api.trendtracker.ai/facts/fragrance-notes"
{
  "data": [
    {
      "createdAt": "2019-08-24T14:15:22Z",
      "modifiedAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "group": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "name": "string",
      "labels": [
        "string"
      ],
      "image": "string",
      "metadata": {
        "fragrantica": "string"
      }
    }
  ],
  "total": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}